import { TDatatable } from '../Type';
/**
 * It takes in data and columns, and returns a tableHeaders, rows, and hooksFn
 * @param {TDatatable}  - TDatatable - the props that are passed to the datatable component
 * @param {Function[]} hooks - Array of hooks that will be used to manipulate the data.
 */
export declare function useTable({ data, columns }: TDatatable, ...hooks: Function[]): any;
