/// <reference types="react" />
import { CellProps, RowProps } from './props';
export declare type CellValue = {
    [keyof: string]: string | boolean | [] | object | number;
};
export declare type Cells = {
    value: string;
    render: () => React.ReactNode;
    getCellProps: () => CellProps;
};
export declare type Row = {
    cells: Cells;
    values: any;
    getRowProps: () => RowProps;
};
