import { DatatableHeaderGroups, Sort } from '../Type';
/**
 * It adds a `onClick` prop to each header column, and when the header column is clicked, it sorts the
 * data by that column
 * @param {DatatableHeaderGroups[]} headers - DatatableHeaderGroups[]
 * @param {any} data - The data that you want to sort.
 * @returns An object with a sortData property.
 */
export declare function useSort(headers: DatatableHeaderGroups[], data: any, deps?: any[]): Sort;
