import { DatatableHeader, DatatableHeaderGroups } from '../Type';
/**
 * It takes a headerGroup and returns an object with two functions: getColumns and getAccessors
 * @param {DatatableHeaderGroups[]} headerGroup - DatatableHeaderGroups[]
 * @returns An object with two functions.
 */
export declare function headerGroupUtils(headerGroup: DatatableHeaderGroups[]): {
    getColumns: DatatableHeader[];
    getAccessors: (string | undefined)[];
};
